#ifndef __ComDrawable_H__
#define __ComDrawable_H__

#include "command.h"
#include <osg/Drawable>

class ComDrawable: public Command {
public:
    ComDrawable(osg::Drawable *node,
		bool use_display_list,
		bool use_vbo);
    virtual ~ComDrawable() {}
    virtual void realExecute();
    virtual void undo();
private:
    osg::ref_ptr< osg::Drawable > affected;
    //Attributes
    bool use_display_list_old;
    bool use_display_list_new;    
    bool use_vbo_old;
    bool use_vbo_new;    
};
#endif //__EdDrawable_H__
