#include "comgeometry.h"

ComGeometry::ComGeometry(osg::Geometry *node,
			 bool use_display_list,
			 bool use_vbo) {
    this->affected=node;

    this->use_display_list_old = (bool)node->getUseDisplayList();
    this->use_vbo_old = (bool)node->getUseVertexBufferObjects();
    this->use_display_list_new = use_display_list;
    this->use_vbo_new = use_vbo;
}

void ComGeometry::realExecute() {

    affected->setUseDisplayList(use_display_list_new);
    affected->setUseVertexBufferObjects(use_vbo_new);
}

void ComGeometry::undo() {

    affected->setUseDisplayList(use_display_list_old);
    affected->setUseVertexBufferObjects(use_vbo_old);
}

