#ifndef __ComShapeDrawable_H__
#define __ComShapeDrawable_H__

#include "command.h"
#include <osg/ShapeDrawable>

class ComShapeDrawable: public Command {
public:
    ComShapeDrawable(osg::ShapeDrawable *node,
		     bool use_display_list,
		     bool use_vbo,
		     osg::Vec4 colour);
    virtual ~ComShapeDrawable() {}
    virtual void realExecute();
    virtual void undo();
private:
    osg::ref_ptr< osg::ShapeDrawable > affected;
    //Attributes
    bool use_display_list_old;
    bool use_display_list_new;
    bool use_vbo_old;
    bool use_vbo_new;
    osg::Vec4 colour_old;
    osg::Vec4 colour_new;
};
#endif //__EdShapeDrawable_H__
