#ifndef __GTK_ED_TEXT_H__
#define __GTK_ED_TEXT_H__

#include <editable/attributes/edtext.h>
#include "gtkedattribute.h"

class GtkEdText: public GtkEdAttribute {
public:
    GtkEdText();
    virtual ~GtkEdText();
    virtual void setAttribute(EditableAttribute *attrib);
    virtual void build();
    virtual GtkEdAttribute *clone() { return new GtkEdText(); }
    virtual GtkWidget *getWidget() { return widget; }

    void signal_changed();
    virtual bool needsLabel() { return false; }
private:
    GtkWidget *widget;
    GtkWidget *text;
    osg::ref_ptr<EdText> attribute;
    unsigned handler_id, handler_id2, handler_id3;
};

#endif
