#ifndef __TOOL_FRAGMENT_PROGRAM_H__
#define __TOOL_FRAGMENT_PROGRAM_H__

#include <osg/FragmentProgram>
#include "toolstateattribute.h"

class ToolFragmentProgram: public ToolStateAttribute {
public:
    ToolFragmentProgram(): ToolStateAttribute("fragment_program") {}

    virtual osg::StateAttribute::Type getType() {
	return osg::StateAttribute::FRAGMENTPROGRAM;
    }
    virtual osg::StateAttribute *generate() {
        return new osg::FragmentProgram();
    }
    virtual Tool* clone() { return new ToolFragmentProgram(); }
};

#endif
