#ifndef __ComFragmentProgram_H__
#define __ComFragmentProgram_H__

#include "command.h"
#include <osg/FragmentProgram>

class ComFragmentProgram: public Command {
public:
    ComFragmentProgram(osg::FragmentProgram *node,
		       std::string program);
    virtual ~ComFragmentProgram() {}
    virtual void realExecute();
    virtual void undo();
private:
    osg::ref_ptr< osg::FragmentProgram > affected;
    //Attributes
    std::string program_old;
    std::string program_new;

};
#endif //__EdFragmentProgram_H__
