#ifndef __ComGeometry_H__
#define __ComGeometry_H__

#include "command.h"
#include <osg/Geometry>

class ComGeometry: public Command {
public:
    ComGeometry(osg::Geometry *node,
		bool use_display_list,
		bool use_vbo);
    virtual ~ComGeometry() {}
    virtual void realExecute();
    virtual void undo();
private:
    osg::ref_ptr< osg::Geometry > affected;
    //Attributes
    bool use_display_list_old;
    bool use_display_list_new;
    bool use_vbo_old;
    bool use_vbo_new;

};
#endif //__EdGeometry_H__
