#ifndef __ComProjection_H__
#define __ComProjection_H__

#include "command.h"
#include <osg/Projection>

class ComProjection: public Command {
public:
    ComProjection(osg::Projection *node,
   osg::Matrix matrix);
    virtual ~ComProjection() {}
    virtual void realExecute();
    virtual void undo();
private:
    osg::ref_ptr< osg::Projection > affected;
    //Attributes
    osg::Matrix matrix_old;
    osg::Matrix matrix_new;    
    
};
#endif //__EdProjection_H__
