#include "comvertexprogram.h"

ComVertexProgram::ComVertexProgram(osg::VertexProgram *node,
  std::string program) {
    this->affected=node;

    this->program_old = node->getVertexProgram();
    this->program_new = program;

}

void ComVertexProgram::realExecute() {

    affected->setVertexProgram(program_new);
}

void ComVertexProgram::undo() {

    affected->setVertexProgram(program_old);
}

