#ifndef __TOOL_VERTEX_PROGRAM_H__
#define __TOOL_VERTEX_PROGRAM_H__

#include <osg/VertexProgram>
#include "toolstateattribute.h"

class ToolVertexProgram: public ToolStateAttribute {
public:
    ToolVertexProgram(): ToolStateAttribute("vertex_program") {}

    virtual osg::StateAttribute::Type getType() {
	return osg::StateAttribute::VERTEXPROGRAM;
    }
    virtual osg::StateAttribute *generate() {
        return new osg::VertexProgram();
    }
    virtual Tool* clone() { return new ToolVertexProgram(); }
};

#endif
